Retrieve Multiple Spaces
https://mapi.storyblok.com/v1/spacesReturns an array of space objects.
Response properties
Section titled “Response properties”-
spacesobject[]An array of space objects.
Show child properties
-
namestringName of the space.
-
idnumberNumeric ID of the space.
-
regionstringRegion of the space.
-
owner_idnumberNumeric ID of the space owner.
-
updated_atstringLast update date (Format:
yyyy-MM-dd'T'HH:mm:ssZ). -
planstringSpace plan name.
-
requires_2fabooleanIndicates if two-factor authentication is required.
-
created_atstringCreation date (Format:
yyyy-MM-dd'T'HH:mm:ssZ). -
org_idnumberOrganization ID if the space belongs to an organization.
-
space_typestringType of the space.
-
space_rolesobject[]Available roles in the space.
-
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/spaces/" \ -H "Authorization: YOUR_OAUTH_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.get('spaces/', {}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
$client->get('spaces/')->getBody();HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/") .header("Authorization", "YOUR_OAUTH_TOKEN") .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/");var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/"
querystring = {}
payload = ""headers = { 'Authorization': "YOUR_OAUTH_TOKEN"}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
client.get('spaces/')let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))let request = URLRequest(storyblok: storyblok, path: "spaces/")let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = OAuth("YOUR_OAUTH_TOKEN") }}
val response = client.get("spaces/")
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community